Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.graph.query.model
Interface Visitable

All Known Subinterfaces:
  Command, Constraint, DynamicOperand, JcrConstraint, JcrDynamicOperand, JcrJoinCondition, JcrQueryCommand, JcrSource, JcrStaticOperand, JoinCondition, LanguageObject, QueryCommand, Source, StaticOperand

All Known Implementing Classes:
  AllNodes, And, ArithmeticOperand, Between, BindVariableName, ChildNode, ChildNodeJoinCondition, Column, Comparison, DescendantNode, DescendantNodeJoinCondition, EquiJoinCondition, FullTextSearch, FullTextSearchScore, JcrAnd, JcrArithmeticOperand, JcrBetween, JcrBindVariableName, JcrChildNode, JcrChildNodeJoinCondition, JcrColumn, JcrComparison, JcrDescendantNode, JcrDescendantNodeJoinCondition, JcrEquiJoinCondition, JcrFullTextSearch, JcrFullTextSearchScore, JcrJoin, JcrLength, JcrLimit, JcrLiteral, JcrLowerCase, JcrNamedSelector, JcrNodeDepth, JcrNodeLocalName, JcrNodeName, JcrNodePath, JcrNot, JcrOr, JcrOrdering, JcrPropertyExistence, JcrPropertyValue, JcrReferenceValue, JcrSameNode, JcrSameNodeJoinCondition, JcrSelectQuery, JcrSetCriteria, JcrSetQuery, JcrSqlQueryParser.JoinableSources, JcrSubquery, JcrUpperCase, Join, Length, Limit, Literal, LowerCase, NamedSelector, NodeDepth, NodeLocalName, NodeName, NodePath, Not, Or, Ordering, PropertyExistence, PropertyValue, Query, ReferenceValue, SameNode, SameNodeJoinCondition, Selector, SetCriteria, SetQuery, Subquery, UpperCase

    @Immutable
    public interface Visitable

An interface called by a visitor when that visitor is visiting the node.

Method Summary
`void` | `accept(Visitor visitor)` Accept the supplied visitor, which should call back to the visitor to complete the double-dispatch operation.

Method Detail

### accept

    void accept(Visitor visitor)

  Accept the supplied visitor, which should call back to the visitor to complete the double-dispatch operation.

  Parameters:
    `visitor` - the visitor; never null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2011 JBoss, a division of Red Hat. All Rights Reserved.